<!--
This Markdown has been generated by essentials-openapi
https://github.com/Neoteroi/essentials-openapi

Most likely, it is not desirable to edit this file by hand!
-->

# Peridot Apollo <span class="api-version">0.1.0</span>

Apollo Errata Management

Endpoint: https://apollo.build.resf.org
<hr />

## <span class="api-tag">advisories</span>

<hr class="operation-separator" />

### <span class="http-get">GET</span> /api/v3/advisories/
List Advisories

**Input parameters**

<table>
    <thead>
        <tr>
            <th>Parameter</th>
            <th>In</th>
            <th>Type</th>
            <th>Default</th>
            <th>Nullable</th>
            <th>Description</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td class="parameter-name"><code>after_raw</code></td>
            <td>query</td>
            <td>string</td>
            <td></td>
            <td>No</td>
            <td></td>
        </tr>
        <tr>
            <td class="parameter-name"><code>before_raw</code></td>
            <td>query</td>
            <td>string</td>
            <td></td>
            <td>No</td>
            <td></td>
        </tr>
        <tr>
            <td class="parameter-name"><code>cve</code></td>
            <td>query</td>
            <td>string</td>
            <td></td>
            <td>No</td>
            <td></td>
        </tr>
        <tr>
            <td class="parameter-name"><code>keyword</code></td>
            <td>query</td>
            <td>string</td>
            <td></td>
            <td>No</td>
            <td></td>
        </tr>
        <tr>
            <td class="parameter-name"><code>kind</code></td>
            <td>query</td>
            <td>string</td>
            <td></td>
            <td>No</td>
            <td></td>
        </tr>
        <tr>
            <td class="parameter-name"><code>page</code></td>
            <td>query</td>
            <td>integer</td>
            <td>1</td>
            <td>No</td>
            <td></td>
        </tr>
        <tr>
            <td class="parameter-name"><code>product</code></td>
            <td>query</td>
            <td>string</td>
            <td></td>
            <td>No</td>
            <td></td>
        </tr>
        <tr>
            <td class="parameter-name"><code>severity</code></td>
            <td>query</td>
            <td>string</td>
            <td></td>
            <td>No</td>
            <td></td>
        </tr>
        <tr>
            <td class="parameter-name"><code>size</code></td>
            <td>query</td>
            <td>integer</td>
            <td>50</td>
            <td>No</td>
            <td></td>
        </tr>
        <tr>
            <td class="parameter-name"><code>synopsis</code></td>
            <td>query</td>
            <td>string</td>
            <td></td>
            <td>No</td>
            <td></td>
        </tr>
    </tbody>
</table>

<p class="response-title">
    <strong>Response <span class="response-code code-200">200</span>&nbsp;<span class="status-phrase">OK</span></strong>
</p>

=== "application/json"
    
    
    ```json
    {
        "advisories": [
            {
                "id": 0,
                "created_at": "2022-04-13T15:42:05.901Z",
                "updated_at": "2022-04-13T15:42:05.901Z",
                "published_at": "2022-04-13T15:42:05.901Z",
                "name": "string",
                "synopsis": "string",
                "description": "string",
                "kind": "string",
                "severity": "string",
                "topic": "string",
                "red_hat_advisory_id": 0,
                "affected_products": [
                    {
                        "id": 0,
                        "variant": "string",
                        "name": "string",
                        "major_version": 0,
                        "minor_version": 0,
                        "arch": "string"
                    }
                ],
                "cves": [
                    {
                        "id": 0,
                        "cve": "string",
                        "cvss3_scoring_vector": "string",
                        "cvss3_base_score": "string",
                        "cwe": "string"
                    }
                ],
                "fixes": [
                    {
                        "id": 0,
                        "ticket_id": "string",
                        "source": "string",
                        "description": "string"
                    }
                ],
                "packages": [
                    {
                        "id": 0,
                        "nevra": "string",
                        "checksum": "string",
                        "checksum_type": "string",
                        "module_context": "string",
                        "module_name": "string",
                        "module_stream": "string",
                        "module_version": "string",
                        "repo_name": "string",
                        "package_name": "string",
                        "product_name": "string"
                    }
                ]
            }
        ],
        "total": 0,
        "page": 0,
        "size": 0,
        "links": {
            "first": "/api/v1/users?limit=1&offset1",
            "last": "/api/v1/users?limit=1&offset1",
            "self": "/api/v1/users?limit=1&offset1",
            "next": "/api/v1/users?limit=1&offset1",
            "prev": "/api/v1/users?limit=1&offset1"
        }
    }
    ```
    <span class="small-note">⚠️</span>&nbsp;<em class="small-note warning">This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.</em>

    

    ??? hint "Schema of the response body"
        ```json
        {
            "title": "Pagination[Advisory]",
            "required": [
                "advisories",
                "total",
                "page",
                "size",
                "links"
            ],
            "type": "object",
            "properties": {
                "advisories": {
                    "title": "Advisories",
                    "type": "array",
                    "items": {
                        "$ref": "#/components/schemas/Advisory"
                    }
                },
                "total": {
                    "title": "Total",
                    "minimum": 0.0,
                    "type": "integer"
                },
                "page": {
                    "title": "Page",
                    "minimum": 1.0,
                    "type": "integer"
                },
                "size": {
                    "title": "Size",
                    "minimum": 1.0,
                    "type": "integer"
                },
                "links": {
                    "$ref": "#/components/schemas/Links"
                }
            }
        }
        ```



<p class="response-title">
    <strong>Response <span class="response-code code-422">422</span>&nbsp;<span class="status-phrase">Unprocessable Entity</span></strong>
</p>

=== "application/json"
    
    
    ```json
    {
        "detail": [
            {
                "loc": [
                    null
                ],
                "msg": "string",
                "type": "string"
            }
        ]
    }
    ```
    <span class="small-note">⚠️</span>&nbsp;<em class="small-note warning">This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.</em>

    

    ??? hint "Schema of the response body"
        ```json
        {
            "title": "HTTPValidationError",
            "type": "object",
            "properties": {
                "detail": {
                    "title": "Detail",
                    "type": "array",
                    "items": {
                        "$ref": "#/components/schemas/ValidationError"
                    }
                }
            }
        }
        ```



<hr class="operation-separator" />

### <span class="http-get">GET</span> /api/v3/advisories/<span class="route-param">{advisory_name}</span>
Get Advisory

**Input parameters**

<table>
    <thead>
        <tr>
            <th>Parameter</th>
            <th>In</th>
            <th>Type</th>
            <th>Default</th>
            <th>Nullable</th>
            <th>Description</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td class="parameter-name"><code>advisory_name</code></td>
            <td>path</td>
            <td>string</td>
            <td></td>
            <td>No</td>
            <td></td>
        </tr>
    </tbody>
</table>

<p class="response-title">
    <strong>Response <span class="response-code code-200">200</span>&nbsp;<span class="status-phrase">OK</span></strong>
</p>

=== "application/json"
    
    
    ```json
    {
        "id": 0,
        "created_at": "2022-04-13T15:42:05.901Z",
        "updated_at": "2022-04-13T15:42:05.901Z",
        "published_at": "2022-04-13T15:42:05.901Z",
        "name": "string",
        "synopsis": "string",
        "description": "string",
        "kind": "string",
        "severity": "string",
        "topic": "string",
        "red_hat_advisory_id": 0,
        "affected_products": [
            {
                "id": 0,
                "variant": "string",
                "name": "string",
                "major_version": 0,
                "minor_version": 0,
                "arch": "string"
            }
        ],
        "cves": [
            {
                "id": 0,
                "cve": "string",
                "cvss3_scoring_vector": "string",
                "cvss3_base_score": "string",
                "cwe": "string"
            }
        ],
        "fixes": [
            {
                "id": 0,
                "ticket_id": "string",
                "source": "string",
                "description": "string"
            }
        ],
        "packages": [
            {
                "id": 0,
                "nevra": "string",
                "checksum": "string",
                "checksum_type": "string",
                "module_context": "string",
                "module_name": "string",
                "module_stream": "string",
                "module_version": "string",
                "repo_name": "string",
                "package_name": "string",
                "product_name": "string"
            }
        ]
    }
    ```
    <span class="small-note">⚠️</span>&nbsp;<em class="small-note warning">This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.</em>

    

    ??? hint "Schema of the response body"
        ```json
        {
            "title": "Advisory",
            "required": [
                "id",
                "created_at",
                "published_at",
                "name",
                "synopsis",
                "description",
                "kind",
                "severity",
                "topic",
                "red_hat_advisory_id",
                "affected_products",
                "cves",
                "fixes",
                "packages"
            ],
            "type": "object",
            "properties": {
                "id": {
                    "title": "Id",
                    "maximum": 9.223372036854776e+18,
                    "minimum": 1.0,
                    "type": "integer"
                },
                "created_at": {
                    "title": "Created At",
                    "type": "string",
                    "format": "date-time",
                    "readOnly": true
                },
                "updated_at": {
                    "title": "Updated At",
                    "type": "string",
                    "format": "date-time",
                    "nullable": true,
                    "readOnly": true
                },
                "published_at": {
                    "title": "Published At",
                    "type": "string",
                    "format": "date-time"
                },
                "name": {
                    "title": "Name",
                    "maxLength": 255,
                    "type": "string"
                },
                "synopsis": {
                    "title": "Synopsis",
                    "type": "string"
                },
                "description": {
                    "title": "Description",
                    "type": "string"
                },
                "kind": {
                    "title": "Kind",
                    "maxLength": 255,
                    "type": "string"
                },
                "severity": {
                    "title": "Severity",
                    "maxLength": 255,
                    "type": "string"
                },
                "topic": {
                    "title": "Topic",
                    "type": "string"
                },
                "red_hat_advisory_id": {
                    "title": "Red Hat Advisory Id",
                    "maximum": 9.223372036854776e+18,
                    "minimum": 1.0,
                    "type": "integer"
                },
                "affected_products": {
                    "title": "Affected Products",
                    "type": "array",
                    "items": {
                        "$ref": "#/components/schemas/apollo.db.AdvisoryAffectedProduct.leaf"
                    }
                },
                "cves": {
                    "title": "Cves",
                    "type": "array",
                    "items": {
                        "$ref": "#/components/schemas/apollo.db.AdvisoryCVE.leaf"
                    }
                },
                "fixes": {
                    "title": "Fixes",
                    "type": "array",
                    "items": {
                        "$ref": "#/components/schemas/apollo.db.AdvisoryFix.leaf"
                    }
                },
                "packages": {
                    "title": "Packages",
                    "type": "array",
                    "items": {
                        "$ref": "#/components/schemas/apollo.db.AdvisoryPackage.leaf"
                    }
                }
            },
            "additionalProperties": false
        }
        ```



<p class="response-title">
    <strong>Response <span class="response-code code-422">422</span>&nbsp;<span class="status-phrase">Unprocessable Entity</span></strong>
</p>

=== "application/json"
    
    
    ```json
    {
        "detail": [
            {
                "loc": [
                    null
                ],
                "msg": "string",
                "type": "string"
            }
        ]
    }
    ```
    <span class="small-note">⚠️</span>&nbsp;<em class="small-note warning">This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.</em>

    

    ??? hint "Schema of the response body"
        ```json
        {
            "title": "HTTPValidationError",
            "type": "object",
            "properties": {
                "detail": {
                    "title": "Detail",
                    "type": "array",
                    "items": {
                        "$ref": "#/components/schemas/ValidationError"
                    }
                }
            }
        }
        ```





## <span class="api-tag">updateinfo</span>

<hr class="operation-separator" />

### <span class="http-get">GET</span> /api/v3/updateinfo/<span class="route-param">{product_name}</span>/<span class="route-param">{repo}</span>/updateinfo.xml
Get Updateinfo

**Input parameters**

<table>
    <thead>
        <tr>
            <th>Parameter</th>
            <th>In</th>
            <th>Type</th>
            <th>Default</th>
            <th>Nullable</th>
            <th>Description</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td class="parameter-name"><code>product_name</code></td>
            <td>path</td>
            <td>string</td>
            <td></td>
            <td>No</td>
            <td></td>
        </tr>
        <tr>
            <td class="parameter-name"><code>repo</code></td>
            <td>path</td>
            <td>string</td>
            <td></td>
            <td>No</td>
            <td></td>
        </tr>
        <tr>
            <td class="parameter-name"><code>req_arch</code></td>
            <td>query</td>
            <td>string</td>
            <td></td>
            <td>No</td>
            <td></td>
        </tr>
    </tbody>
</table>

<p class="response-title">
    <strong>Response <span class="response-code code-200">200</span>&nbsp;<span class="status-phrase">OK</span></strong>
</p>

=== "application/json"
    
    

    ??? hint "Schema of the response body"
        ```json
        
        ```



<p class="response-title">
    <strong>Response <span class="response-code code-422">422</span>&nbsp;<span class="status-phrase">Unprocessable Entity</span></strong>
</p>

=== "application/json"
    
    
    ```json
    {
        "detail": [
            {
                "loc": [
                    null
                ],
                "msg": "string",
                "type": "string"
            }
        ]
    }
    ```
    <span class="small-note">⚠️</span>&nbsp;<em class="small-note warning">This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.</em>

    

    ??? hint "Schema of the response body"
        ```json
        {
            "title": "HTTPValidationError",
            "type": "object",
            "properties": {
                "detail": {
                    "title": "Detail",
                    "type": "array",
                    "items": {
                        "$ref": "#/components/schemas/ValidationError"
                    }
                }
            }
        }
        ```





## <span class="api-tag">red_hat</span>

<hr class="operation-separator" />

### <span class="http-get">GET</span> /api/v3/red_hat/advisories
List Red Hat Advisories

**Input parameters**

<table>
    <thead>
        <tr>
            <th>Parameter</th>
            <th>In</th>
            <th>Type</th>
            <th>Default</th>
            <th>Nullable</th>
            <th>Description</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td class="parameter-name"><code>page</code></td>
            <td>query</td>
            <td>integer</td>
            <td>1</td>
            <td>No</td>
            <td></td>
        </tr>
        <tr>
            <td class="parameter-name"><code>size</code></td>
            <td>query</td>
            <td>integer</td>
            <td>50</td>
            <td>No</td>
            <td></td>
        </tr>
    </tbody>
</table>

<p class="response-title">
    <strong>Response <span class="response-code code-200">200</span>&nbsp;<span class="status-phrase">OK</span></strong>
</p>

=== "application/json"
    
    
    ```json
    {
        "advisories": [
            {
                "id": 0,
                "created_at": "2022-04-13T15:42:05.901Z",
                "updated_at": "2022-04-13T15:42:05.901Z",
                "red_hat_issued_at": "2022-04-13T15:42:05.901Z",
                "name": "string",
                "synopsis": "string",
                "description": "string",
                "kind": "string",
                "severity": "string",
                "topic": "string",
                "affected_products": [
                    {
                        "id": 0,
                        "variant": "string",
                        "name": "string",
                        "major_version": 0,
                        "minor_version": 0,
                        "arch": "string"
                    }
                ],
                "bugzilla_tickets": [
                    {
                        "id": 0,
                        "bugzilla_bug_id": "string",
                        "description": "string"
                    }
                ],
                "cves": [
                    {
                        "id": 0,
                        "cve": "string",
                        "cvss3_scoring_vector": "string",
                        "cvss3_base_score": "string",
                        "cwe": "string"
                    }
                ],
                "packages": [
                    {
                        "id": 0,
                        "nevra": "string"
                    }
                ]
            }
        ],
        "total": 0,
        "page": 0,
        "size": 0,
        "links": {
            "first": "/api/v1/users?limit=1&offset1",
            "last": "/api/v1/users?limit=1&offset1",
            "self": "/api/v1/users?limit=1&offset1",
            "next": "/api/v1/users?limit=1&offset1",
            "prev": "/api/v1/users?limit=1&offset1"
        }
    }
    ```
    <span class="small-note">⚠️</span>&nbsp;<em class="small-note warning">This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.</em>

    

    ??? hint "Schema of the response body"
        ```json
        {
            "title": "Pagination[RedHatAdvisory]",
            "required": [
                "advisories",
                "total",
                "page",
                "size",
                "links"
            ],
            "type": "object",
            "properties": {
                "advisories": {
                    "title": "Advisories",
                    "type": "array",
                    "items": {
                        "$ref": "#/components/schemas/RedHatAdvisory"
                    }
                },
                "total": {
                    "title": "Total",
                    "minimum": 0.0,
                    "type": "integer"
                },
                "page": {
                    "title": "Page",
                    "minimum": 1.0,
                    "type": "integer"
                },
                "size": {
                    "title": "Size",
                    "minimum": 1.0,
                    "type": "integer"
                },
                "links": {
                    "$ref": "#/components/schemas/Links"
                }
            }
        }
        ```



<p class="response-title">
    <strong>Response <span class="response-code code-422">422</span>&nbsp;<span class="status-phrase">Unprocessable Entity</span></strong>
</p>

=== "application/json"
    
    
    ```json
    {
        "detail": [
            {
                "loc": [
                    null
                ],
                "msg": "string",
                "type": "string"
            }
        ]
    }
    ```
    <span class="small-note">⚠️</span>&nbsp;<em class="small-note warning">This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.</em>

    

    ??? hint "Schema of the response body"
        ```json
        {
            "title": "HTTPValidationError",
            "type": "object",
            "properties": {
                "detail": {
                    "title": "Detail",
                    "type": "array",
                    "items": {
                        "$ref": "#/components/schemas/ValidationError"
                    }
                }
            }
        }
        ```



<hr class="operation-separator" />

### <span class="http-get">GET</span> /api/v3/red_hat/advisories/<span class="route-param">{advisory_name}</span>
Get Red Hat Advisory

**Input parameters**

<table>
    <thead>
        <tr>
            <th>Parameter</th>
            <th>In</th>
            <th>Type</th>
            <th>Default</th>
            <th>Nullable</th>
            <th>Description</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td class="parameter-name"><code>advisory_name</code></td>
            <td>path</td>
            <td>string</td>
            <td></td>
            <td>No</td>
            <td></td>
        </tr>
    </tbody>
</table>

<p class="response-title">
    <strong>Response <span class="response-code code-200">200</span>&nbsp;<span class="status-phrase">OK</span></strong>
</p>

=== "application/json"
    
    
    ```json
    {
        "id": 0,
        "created_at": "2022-04-13T15:42:05.901Z",
        "updated_at": "2022-04-13T15:42:05.901Z",
        "red_hat_issued_at": "2022-04-13T15:42:05.901Z",
        "name": "string",
        "synopsis": "string",
        "description": "string",
        "kind": "string",
        "severity": "string",
        "topic": "string",
        "affected_products": [
            {
                "id": 0,
                "variant": "string",
                "name": "string",
                "major_version": 0,
                "minor_version": 0,
                "arch": "string"
            }
        ],
        "bugzilla_tickets": [
            {
                "id": 0,
                "bugzilla_bug_id": "string",
                "description": "string"
            }
        ],
        "cves": [
            {
                "id": 0,
                "cve": "string",
                "cvss3_scoring_vector": "string",
                "cvss3_base_score": "string",
                "cwe": "string"
            }
        ],
        "packages": [
            {
                "id": 0,
                "nevra": "string"
            }
        ]
    }
    ```
    <span class="small-note">⚠️</span>&nbsp;<em class="small-note warning">This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.</em>

    

    ??? hint "Schema of the response body"
        ```json
        {
            "title": "RedHatAdvisory",
            "required": [
                "id",
                "created_at",
                "red_hat_issued_at",
                "name",
                "synopsis",
                "description",
                "kind",
                "severity",
                "topic",
                "affected_products",
                "bugzilla_tickets",
                "cves",
                "packages"
            ],
            "type": "object",
            "properties": {
                "id": {
                    "title": "Id",
                    "maximum": 9.223372036854776e+18,
                    "minimum": 1.0,
                    "type": "integer"
                },
                "created_at": {
                    "title": "Created At",
                    "type": "string",
                    "format": "date-time",
                    "readOnly": true
                },
                "updated_at": {
                    "title": "Updated At",
                    "type": "string",
                    "format": "date-time",
                    "nullable": true,
                    "readOnly": true
                },
                "red_hat_issued_at": {
                    "title": "Red Hat Issued At",
                    "type": "string",
                    "format": "date-time"
                },
                "name": {
                    "title": "Name",
                    "maxLength": 255,
                    "type": "string"
                },
                "synopsis": {
                    "title": "Synopsis",
                    "type": "string"
                },
                "description": {
                    "title": "Description",
                    "type": "string"
                },
                "kind": {
                    "title": "Kind",
                    "maxLength": 255,
                    "type": "string"
                },
                "severity": {
                    "title": "Severity",
                    "maxLength": 255,
                    "type": "string"
                },
                "topic": {
                    "title": "Topic",
                    "type": "string"
                },
                "affected_products": {
                    "title": "Affected Products",
                    "type": "array",
                    "items": {
                        "$ref": "#/components/schemas/apollo.db.RedHatAdvisoryAffectedProduct.leaf"
                    }
                },
                "bugzilla_tickets": {
                    "title": "Bugzilla Tickets",
                    "type": "array",
                    "items": {
                        "$ref": "#/components/schemas/apollo.db.RedHatAdvisoryBugzillaBug.leaf"
                    }
                },
                "cves": {
                    "title": "Cves",
                    "type": "array",
                    "items": {
                        "$ref": "#/components/schemas/apollo.db.RedHatAdvisoryCVE.leaf"
                    }
                },
                "packages": {
                    "title": "Packages",
                    "type": "array",
                    "items": {
                        "$ref": "#/components/schemas/apollo.db.RedHatAdvisoryPackage.leaf"
                    }
                }
            },
            "additionalProperties": false
        }
        ```



<p class="response-title">
    <strong>Response <span class="response-code code-422">422</span>&nbsp;<span class="status-phrase">Unprocessable Entity</span></strong>
</p>

=== "application/json"
    
    
    ```json
    {
        "detail": [
            {
                "loc": [
                    null
                ],
                "msg": "string",
                "type": "string"
            }
        ]
    }
    ```
    <span class="small-note">⚠️</span>&nbsp;<em class="small-note warning">This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.</em>

    

    ??? hint "Schema of the response body"
        ```json
        {
            "title": "HTTPValidationError",
            "type": "object",
            "properties": {
                "detail": {
                    "title": "Detail",
                    "type": "array",
                    "items": {
                        "$ref": "#/components/schemas/ValidationError"
                    }
                }
            }
        }
        ```





## <span class="api-tag">v2_compat</span>

<hr class="operation-separator" />

### <span class="http-get">GET</span> /v2/advisories
List Advisories Compat V2

**Input parameters**

<table>
    <thead>
        <tr>
            <th>Parameter</th>
            <th>In</th>
            <th>Type</th>
            <th>Default</th>
            <th>Nullable</th>
            <th>Description</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td class="parameter-name"><code>filters.after</code></td>
            <td>query</td>
            <td>string</td>
            <td></td>
            <td>No</td>
            <td></td>
        </tr>
        <tr>
            <td class="parameter-name"><code>filters.before</code></td>
            <td>query</td>
            <td>string</td>
            <td></td>
            <td>No</td>
            <td></td>
        </tr>
        <tr>
            <td class="parameter-name"><code>filters.cve</code></td>
            <td>query</td>
            <td>string</td>
            <td></td>
            <td>No</td>
            <td></td>
        </tr>
        <tr>
            <td class="parameter-name"><code>filters.fetchRelated</code></td>
            <td>query</td>
            <td>boolean</td>
            <td>True</td>
            <td>No</td>
            <td></td>
        </tr>
        <tr>
            <td class="parameter-name"><code>filters.keyword</code></td>
            <td>query</td>
            <td>string</td>
            <td></td>
            <td>No</td>
            <td></td>
        </tr>
        <tr>
            <td class="parameter-name"><code>filters.product</code></td>
            <td>query</td>
            <td>string</td>
            <td></td>
            <td>No</td>
            <td></td>
        </tr>
        <tr>
            <td class="parameter-name"><code>filters.severity</code></td>
            <td>query</td>
            <td>string</td>
            <td></td>
            <td>No</td>
            <td></td>
        </tr>
        <tr>
            <td class="parameter-name"><code>filters.synopsis</code></td>
            <td>query</td>
            <td>string</td>
            <td></td>
            <td>No</td>
            <td></td>
        </tr>
        <tr>
            <td class="parameter-name"><code>filters.type</code></td>
            <td>query</td>
            <td>string</td>
            <td></td>
            <td>No</td>
            <td></td>
        </tr>
        <tr>
            <td class="parameter-name"><code>limit</code></td>
            <td>query</td>
            <td>integer</td>
            <td>20</td>
            <td>No</td>
            <td></td>
        </tr>
        <tr>
            <td class="parameter-name"><code>page</code></td>
            <td>query</td>
            <td>integer</td>
            <td>0</td>
            <td>No</td>
            <td></td>
        </tr>
    </tbody>
</table>

<p class="response-title">
    <strong>Response <span class="response-code code-200">200</span>&nbsp;<span class="status-phrase">OK</span></strong>
</p>

=== "application/json"
    
    
    ```json
    {
        "advisories": [
            {
                "type": "string",
                "shortCode": "string",
                "name": "string",
                "synopsis": "string",
                "severity": "string",
                "topic": "string",
                "description": "string",
                "solution": "string",
                "affectedProducts": [
                    "string"
                ],
                "fixes": [
                    {
                        "ticket": "string",
                        "sourceBy": "string",
                        "sourceLink": "string",
                        "description": "string"
                    }
                ],
                "cves": [
                    {
                        "name": "string",
                        "sourceBy": "string",
                        "sourceLink": "string",
                        "cvss3ScoringVector": "string",
                        "cvss3BaseScore": "string",
                        "cwe": "string"
                    }
                ],
                "references": [
                    "string"
                ],
                "publishedAt": "string",
                "rpms": {},
                "rebootSuggested": true,
                "buildReferences": [
                    "string"
                ]
            }
        ],
        "total": 0,
        "lastUpdated": "string",
        "page": 0,
        "size": 0
    }
    ```
    <span class="small-note">⚠️</span>&nbsp;<em class="small-note warning">This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.</em>

    

    ??? hint "Schema of the response body"
        ```json
        {
            "title": "Pagination[Advisory_Pydantic_V2]",
            "required": [
                "advisories",
                "total",
                "page",
                "size"
            ],
            "type": "object",
            "properties": {
                "advisories": {
                    "title": "Advisories",
                    "type": "array",
                    "items": {
                        "$ref": "#/components/schemas/Advisory_Pydantic_V2"
                    }
                },
                "total": {
                    "title": "Total",
                    "minimum": 0.0,
                    "type": "integer"
                },
                "lastUpdated": {
                    "title": "Lastupdated",
                    "type": "string"
                },
                "page": {
                    "title": "Page",
                    "minimum": 0.0,
                    "type": "integer"
                },
                "size": {
                    "title": "Size",
                    "minimum": 1.0,
                    "type": "integer"
                }
            }
        }
        ```



<p class="response-title">
    <strong>Response <span class="response-code code-422">422</span>&nbsp;<span class="status-phrase">Unprocessable Entity</span></strong>
</p>

=== "application/json"
    
    
    ```json
    {
        "detail": [
            {
                "loc": [
                    null
                ],
                "msg": "string",
                "type": "string"
            }
        ]
    }
    ```
    <span class="small-note">⚠️</span>&nbsp;<em class="small-note warning">This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.</em>

    

    ??? hint "Schema of the response body"
        ```json
        {
            "title": "HTTPValidationError",
            "type": "object",
            "properties": {
                "detail": {
                    "title": "Detail",
                    "type": "array",
                    "items": {
                        "$ref": "#/components/schemas/ValidationError"
                    }
                }
            }
        }
        ```



<hr class="operation-separator" />

### <span class="http-get">GET</span> /v2/advisories:rss
List Advisories Compat V2 Rss

**Input parameters**

<table>
    <thead>
        <tr>
            <th>Parameter</th>
            <th>In</th>
            <th>Type</th>
            <th>Default</th>
            <th>Nullable</th>
            <th>Description</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td class="parameter-name"><code>filters.after</code></td>
            <td>query</td>
            <td>string</td>
            <td></td>
            <td>No</td>
            <td></td>
        </tr>
        <tr>
            <td class="parameter-name"><code>filters.before</code></td>
            <td>query</td>
            <td>string</td>
            <td></td>
            <td>No</td>
            <td></td>
        </tr>
        <tr>
            <td class="parameter-name"><code>filters.cve</code></td>
            <td>query</td>
            <td>string</td>
            <td></td>
            <td>No</td>
            <td></td>
        </tr>
        <tr>
            <td class="parameter-name"><code>filters.keyword</code></td>
            <td>query</td>
            <td>string</td>
            <td></td>
            <td>No</td>
            <td></td>
        </tr>
        <tr>
            <td class="parameter-name"><code>filters.product</code></td>
            <td>query</td>
            <td>string</td>
            <td></td>
            <td>No</td>
            <td></td>
        </tr>
        <tr>
            <td class="parameter-name"><code>filters.severity</code></td>
            <td>query</td>
            <td>string</td>
            <td></td>
            <td>No</td>
            <td></td>
        </tr>
        <tr>
            <td class="parameter-name"><code>filters.synopsis</code></td>
            <td>query</td>
            <td>string</td>
            <td></td>
            <td>No</td>
            <td></td>
        </tr>
        <tr>
            <td class="parameter-name"><code>filters.type</code></td>
            <td>query</td>
            <td>string</td>
            <td></td>
            <td>No</td>
            <td></td>
        </tr>
        <tr>
            <td class="parameter-name"><code>limit</code></td>
            <td>query</td>
            <td>integer</td>
            <td>20</td>
            <td>No</td>
            <td></td>
        </tr>
        <tr>
            <td class="parameter-name"><code>page</code></td>
            <td>query</td>
            <td>integer</td>
            <td>0</td>
            <td>No</td>
            <td></td>
        </tr>
    </tbody>
</table>

<p class="response-title">
    <strong>Response <span class="response-code code-200">200</span>&nbsp;<span class="status-phrase">OK</span></strong>
</p>

=== "application/json"
    
    

    ??? hint "Schema of the response body"
        ```json
        
        ```



<p class="response-title">
    <strong>Response <span class="response-code code-422">422</span>&nbsp;<span class="status-phrase">Unprocessable Entity</span></strong>
</p>

=== "application/json"
    
    
    ```json
    {
        "detail": [
            {
                "loc": [
                    null
                ],
                "msg": "string",
                "type": "string"
            }
        ]
    }
    ```
    <span class="small-note">⚠️</span>&nbsp;<em class="small-note warning">This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.</em>

    

    ??? hint "Schema of the response body"
        ```json
        {
            "title": "HTTPValidationError",
            "type": "object",
            "properties": {
                "detail": {
                    "title": "Detail",
                    "type": "array",
                    "items": {
                        "$ref": "#/components/schemas/ValidationError"
                    }
                }
            }
        }
        ```



<hr class="operation-separator" />

### <span class="http-get">GET</span> /v2/advisories/<span class="route-param">{advisory_name}</span>
Get Advisory Compat V2

**Input parameters**

<table>
    <thead>
        <tr>
            <th>Parameter</th>
            <th>In</th>
            <th>Type</th>
            <th>Default</th>
            <th>Nullable</th>
            <th>Description</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td class="parameter-name"><code>advisory_name</code></td>
            <td>path</td>
            <td>string</td>
            <td></td>
            <td>No</td>
            <td></td>
        </tr>
    </tbody>
</table>

<p class="response-title">
    <strong>Response <span class="response-code code-200">200</span>&nbsp;<span class="status-phrase">OK</span></strong>
</p>

=== "application/json"
    
    
    ```json
    {
        "advisory": {
            "type": "string",
            "shortCode": "string",
            "name": "string",
            "synopsis": "string",
            "severity": "string",
            "topic": "string",
            "description": "string",
            "solution": "string",
            "affectedProducts": [
                "string"
            ],
            "fixes": [
                {
                    "ticket": "string",
                    "sourceBy": "string",
                    "sourceLink": "string",
                    "description": "string"
                }
            ],
            "cves": [
                {
                    "name": "string",
                    "sourceBy": "string",
                    "sourceLink": "string",
                    "cvss3ScoringVector": "string",
                    "cvss3BaseScore": "string",
                    "cwe": "string"
                }
            ],
            "references": [
                "string"
            ],
            "publishedAt": "string",
            "rpms": {},
            "rebootSuggested": true,
            "buildReferences": [
                "string"
            ]
        }
    }
    ```
    <span class="small-note">⚠️</span>&nbsp;<em class="small-note warning">This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.</em>

    

    ??? hint "Schema of the response body"
        ```json
        {
            "title": "AdvisoryResponse",
            "required": [
                "advisory"
            ],
            "type": "object",
            "properties": {
                "advisory": {
                    "$ref": "#/components/schemas/Advisory_Pydantic_V2"
                }
            }
        }
        ```



<p class="response-title">
    <strong>Response <span class="response-code code-422">422</span>&nbsp;<span class="status-phrase">Unprocessable Entity</span></strong>
</p>

=== "application/json"
    
    
    ```json
    {
        "detail": [
            {
                "loc": [
                    null
                ],
                "msg": "string",
                "type": "string"
            }
        ]
    }
    ```
    <span class="small-note">⚠️</span>&nbsp;<em class="small-note warning">This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.</em>

    

    ??? hint "Schema of the response body"
        ```json
        {
            "title": "HTTPValidationError",
            "type": "object",
            "properties": {
                "detail": {
                    "title": "Detail",
                    "type": "array",
                    "items": {
                        "$ref": "#/components/schemas/ValidationError"
                    }
                }
            }
        }
        ```





## <span class="api-tag">osv</span>

<hr class="operation-separator" />

### <span class="http-get">GET</span> /api/v3/osv/
Get Advisories Osv

**Input parameters**

<table>
    <thead>
        <tr>
            <th>Parameter</th>
            <th>In</th>
            <th>Type</th>
            <th>Default</th>
            <th>Nullable</th>
            <th>Description</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td class="parameter-name"><code>after</code></td>
            <td>query</td>
            <td>string</td>
            <td></td>
            <td>No</td>
            <td></td>
        </tr>
        <tr>
            <td class="parameter-name"><code>before</code></td>
            <td>query</td>
            <td>string</td>
            <td></td>
            <td>No</td>
            <td></td>
        </tr>
        <tr>
            <td class="parameter-name"><code>cve</code></td>
            <td>query</td>
            <td>string</td>
            <td></td>
            <td>No</td>
            <td></td>
        </tr>
        <tr>
            <td class="parameter-name"><code>keyword</code></td>
            <td>query</td>
            <td>string</td>
            <td></td>
            <td>No</td>
            <td></td>
        </tr>
        <tr>
            <td class="parameter-name"><code>kind</code></td>
            <td>query</td>
            <td>string</td>
            <td></td>
            <td>No</td>
            <td></td>
        </tr>
        <tr>
            <td class="parameter-name"><code>page</code></td>
            <td>query</td>
            <td>integer</td>
            <td>1</td>
            <td>No</td>
            <td></td>
        </tr>
        <tr>
            <td class="parameter-name"><code>product</code></td>
            <td>query</td>
            <td>string</td>
            <td></td>
            <td>No</td>
            <td></td>
        </tr>
        <tr>
            <td class="parameter-name"><code>severity</code></td>
            <td>query</td>
            <td>string</td>
            <td></td>
            <td>No</td>
            <td></td>
        </tr>
        <tr>
            <td class="parameter-name"><code>size</code></td>
            <td>query</td>
            <td>integer</td>
            <td>50</td>
            <td>No</td>
            <td></td>
        </tr>
        <tr>
            <td class="parameter-name"><code>synopsis</code></td>
            <td>query</td>
            <td>string</td>
            <td></td>
            <td>No</td>
            <td></td>
        </tr>
    </tbody>
</table>

<p class="response-title">
    <strong>Response <span class="response-code code-200">200</span>&nbsp;<span class="status-phrase">OK</span></strong>
</p>

=== "application/json"
    
    
    ```json
    {
        "advisories": [
            {
                "schema_version": "string",
                "id": "string",
                "modified": "string",
                "published": "string",
                "withdrawn": "string",
                "aliases": [
                    "string"
                ],
                "related": [
                    "string"
                ],
                "summary": "string",
                "details": "string",
                "severity": [
                    {
                        "type": "string",
                        "score": "string"
                    }
                ],
                "affected": [
                    {
                        "package": {
                            "ecosystem": "string",
                            "name": "string",
                            "purl": "string"
                        },
                        "ranges": [
                            {
                                "type": "string",
                                "repo": "string",
                                "events": [
                                    {
                                        "introduced": "string",
                                        "fixed": "string",
                                        "last_affected": "string",
                                        "limit": "string"
                                    }
                                ],
                                "database_specific": {}
                            }
                        ],
                        "versions": [
                            "string"
                        ],
                        "ecosystem_specific": {},
                        "database_specific": {}
                    }
                ],
                "references": [
                    {
                        "type": "string",
                        "url": "string"
                    }
                ],
                "credits": [
                    {
                        "name": "string",
                        "contact": [
                            "string"
                        ]
                    }
                ],
                "database_specific": {}
            }
        ],
        "total": 0,
        "page": 0,
        "size": 0,
        "links": {
            "first": "/api/v1/users?limit=1&offset1",
            "last": "/api/v1/users?limit=1&offset1",
            "self": "/api/v1/users?limit=1&offset1",
            "next": "/api/v1/users?limit=1&offset1",
            "prev": "/api/v1/users?limit=1&offset1"
        }
    }
    ```
    <span class="small-note">⚠️</span>&nbsp;<em class="small-note warning">This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.</em>

    

    ??? hint "Schema of the response body"
        ```json
        {
            "title": "Pagination[OSVAdvisory]",
            "required": [
                "advisories",
                "total",
                "page",
                "size",
                "links"
            ],
            "type": "object",
            "properties": {
                "advisories": {
                    "title": "Advisories",
                    "type": "array",
                    "items": {
                        "$ref": "#/components/schemas/OSVAdvisory"
                    }
                },
                "total": {
                    "title": "Total",
                    "minimum": 0.0,
                    "type": "integer"
                },
                "page": {
                    "title": "Page",
                    "minimum": 1.0,
                    "type": "integer"
                },
                "size": {
                    "title": "Size",
                    "minimum": 1.0,
                    "type": "integer"
                },
                "links": {
                    "$ref": "#/components/schemas/Links"
                }
            }
        }
        ```



<p class="response-title">
    <strong>Response <span class="response-code code-422">422</span>&nbsp;<span class="status-phrase">Unprocessable Entity</span></strong>
</p>

=== "application/json"
    
    
    ```json
    {
        "detail": [
            {
                "loc": [
                    null
                ],
                "msg": "string",
                "type": "string"
            }
        ]
    }
    ```
    <span class="small-note">⚠️</span>&nbsp;<em class="small-note warning">This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.</em>

    

    ??? hint "Schema of the response body"
        ```json
        {
            "title": "HTTPValidationError",
            "type": "object",
            "properties": {
                "detail": {
                    "title": "Detail",
                    "type": "array",
                    "items": {
                        "$ref": "#/components/schemas/ValidationError"
                    }
                }
            }
        }
        ```



<hr class="operation-separator" />

### <span class="http-get">GET</span> /api/v3/osv/<span class="route-param">{advisory_id}</span>
Get Advisory Osv

**Input parameters**

<table>
    <thead>
        <tr>
            <th>Parameter</th>
            <th>In</th>
            <th>Type</th>
            <th>Default</th>
            <th>Nullable</th>
            <th>Description</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td class="parameter-name"><code>advisory_id</code></td>
            <td>path</td>
            <td>string</td>
            <td></td>
            <td>No</td>
            <td></td>
        </tr>
    </tbody>
</table>

<p class="response-title">
    <strong>Response <span class="response-code code-200">200</span>&nbsp;<span class="status-phrase">OK</span></strong>
</p>

=== "application/json"
    
    
    ```json
    {
        "schema_version": "string",
        "id": "string",
        "modified": "string",
        "published": "string",
        "withdrawn": "string",
        "aliases": [
            "string"
        ],
        "related": [
            "string"
        ],
        "summary": "string",
        "details": "string",
        "severity": [
            {
                "type": "string",
                "score": "string"
            }
        ],
        "affected": [
            {
                "package": {
                    "ecosystem": "string",
                    "name": "string",
                    "purl": "string"
                },
                "ranges": [
                    {
                        "type": "string",
                        "repo": "string",
                        "events": [
                            {
                                "introduced": "string",
                                "fixed": "string",
                                "last_affected": "string",
                                "limit": "string"
                            }
                        ],
                        "database_specific": {}
                    }
                ],
                "versions": [
                    "string"
                ],
                "ecosystem_specific": {},
                "database_specific": {}
            }
        ],
        "references": [
            {
                "type": "string",
                "url": "string"
            }
        ],
        "credits": [
            {
                "name": "string",
                "contact": [
                    "string"
                ]
            }
        ],
        "database_specific": {}
    }
    ```
    <span class="small-note">⚠️</span>&nbsp;<em class="small-note warning">This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.</em>

    

    ??? hint "Schema of the response body"
        ```json
        {
            "title": "OSVAdvisory",
            "required": [
                "id",
                "modified",
                "published",
                "aliases",
                "related",
                "summary",
                "details",
                "severity",
                "affected",
                "references",
                "credits",
                "database_specific"
            ],
            "type": "object",
            "properties": {
                "schema_version": {
                    "title": "Schema Version",
                    "type": "string",
                    "default": "1.3.1"
                },
                "id": {
                    "title": "Id",
                    "type": "string"
                },
                "modified": {
                    "title": "Modified",
                    "type": "string"
                },
                "published": {
                    "title": "Published",
                    "type": "string"
                },
                "withdrawn": {
                    "title": "Withdrawn",
                    "type": "string"
                },
                "aliases": {
                    "title": "Aliases",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "related": {
                    "title": "Related",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "summary": {
                    "title": "Summary",
                    "type": "string"
                },
                "details": {
                    "title": "Details",
                    "type": "string"
                },
                "severity": {
                    "title": "Severity",
                    "type": "array",
                    "items": {
                        "$ref": "#/components/schemas/OSVSeverity"
                    }
                },
                "affected": {
                    "title": "Affected",
                    "type": "array",
                    "items": {
                        "$ref": "#/components/schemas/OSVAffected"
                    }
                },
                "references": {
                    "title": "References",
                    "type": "array",
                    "items": {
                        "$ref": "#/components/schemas/OSVReference"
                    }
                },
                "credits": {
                    "title": "Credits",
                    "type": "array",
                    "items": {
                        "$ref": "#/components/schemas/OSVCredit"
                    }
                },
                "database_specific": {
                    "$ref": "#/components/schemas/OSVDatabaseSpecific"
                }
            }
        }
        ```



<p class="response-title">
    <strong>Response <span class="response-code code-422">422</span>&nbsp;<span class="status-phrase">Unprocessable Entity</span></strong>
</p>

=== "application/json"
    
    
    ```json
    {
        "detail": [
            {
                "loc": [
                    null
                ],
                "msg": "string",
                "type": "string"
            }
        ]
    }
    ```
    <span class="small-note">⚠️</span>&nbsp;<em class="small-note warning">This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.</em>

    

    ??? hint "Schema of the response body"
        ```json
        {
            "title": "HTTPValidationError",
            "type": "object",
            "properties": {
                "detail": {
                    "title": "Detail",
                    "type": "array",
                    "items": {
                        "$ref": "#/components/schemas/ValidationError"
                    }
                }
            }
        }
        ```





## <span class="api-tag"></span>

<hr class="operation-separator" />

### <span class="http-get">GET</span> /_/healthz
Health

<p class="response-title">
    <strong>Response <span class="response-code code-200">200</span>&nbsp;<span class="status-phrase">OK</span></strong>
</p>

=== "application/json"
    
    

    ??? hint "Schema of the response body"
        ```json
        
        ```






---
## Schemas


### Advisory

<table>
    <thead>
        <tr>
            <th>Name</th>
            <th>Type</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><code>affected_products</code></td>
            <td>Array&lt;<a href="#apollodbadvisoryaffectedproductleaf" class="ref-link">apollo.db.AdvisoryAffectedProduct.leaf</a>&gt;</td>
        </tr>
        <tr>
            <td><code>created_at</code></td>
            <td><span class="string-type">string</span>(<span class="date-time-format format">date-time</span>)</td>
        </tr>
        <tr>
            <td><code>cves</code></td>
            <td>Array&lt;<a href="#apollodbadvisorycveleaf" class="ref-link">apollo.db.AdvisoryCVE.leaf</a>&gt;</td>
        </tr>
        <tr>
            <td><code>description</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>fixes</code></td>
            <td>Array&lt;<a href="#apollodbadvisoryfixleaf" class="ref-link">apollo.db.AdvisoryFix.leaf</a>&gt;</td>
        </tr>
        <tr>
            <td><code>id</code></td>
            <td><span class="integer-type">integer</span></td>
        </tr>
        <tr>
            <td><code>kind</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>name</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>packages</code></td>
            <td>Array&lt;<a href="#apollodbadvisorypackageleaf" class="ref-link">apollo.db.AdvisoryPackage.leaf</a>&gt;</td>
        </tr>
        <tr>
            <td><code>published_at</code></td>
            <td><span class="string-type">string</span>(<span class="date-time-format format">date-time</span>)</td>
        </tr>
        <tr>
            <td><code>red_hat_advisory_id</code></td>
            <td><span class="integer-type">integer</span></td>
        </tr>
        <tr>
            <td><code>severity</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>synopsis</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>topic</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>updated_at</code></td>
            <td><span class="string-type">string</span>(<span class="date-time-format format">date-time</span>)&#124; <span class="null-type">null</span></td>
        </tr>
    </tbody>
</table>



### Advisory_Pydantic_V2

<table>
    <thead>
        <tr>
            <th>Name</th>
            <th>Type</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><code>affectedProducts</code></td>
            <td>Array&lt;<span class="string-type">string</span>&gt;</td>
        </tr>
        <tr>
            <td><code>buildReferences</code></td>
            <td>Array&lt;<span class="string-type">string</span>&gt;</td>
        </tr>
        <tr>
            <td><code>cves</code></td>
            <td>Array&lt;<a href="#advisory_pydantic_v2_cve" class="ref-link">Advisory_Pydantic_V2_CVE</a>&gt;</td>
        </tr>
        <tr>
            <td><code>description</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>fixes</code></td>
            <td>Array&lt;<a href="#advisory_pydantic_v2_fix" class="ref-link">Advisory_Pydantic_V2_Fix</a>&gt;</td>
        </tr>
        <tr>
            <td><code>name</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>publishedAt</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>rebootSuggested</code></td>
            <td><span class="boolean-type">boolean</span></td>
        </tr>
        <tr>
            <td><code>references</code></td>
            <td>Array&lt;<span class="string-type">string</span>&gt;</td>
        </tr>
        <tr>
            <td><code>rpms</code></td>
            <td></td>
        </tr>
        <tr>
            <td><code>severity</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>shortCode</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>solution</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>synopsis</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>topic</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>type</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
    </tbody>
</table>



### Advisory_Pydantic_V2_CVE

<table>
    <thead>
        <tr>
            <th>Name</th>
            <th>Type</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><code>cvss3BaseScore</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>cvss3ScoringVector</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>cwe</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>name</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>sourceBy</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>sourceLink</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
    </tbody>
</table>



### Advisory_Pydantic_V2_Fix

<table>
    <thead>
        <tr>
            <th>Name</th>
            <th>Type</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><code>description</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>sourceBy</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>sourceLink</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>ticket</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
    </tbody>
</table>



### Advisory_Pydantic_V2_RPMs

<table>
    <thead>
        <tr>
            <th>Name</th>
            <th>Type</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><code>nvras</code></td>
            <td>Array&lt;<span class="string-type">string</span>&gt;</td>
        </tr>
    </tbody>
</table>



### AdvisoryResponse

<table>
    <thead>
        <tr>
            <th>Name</th>
            <th>Type</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><code>advisory</code></td>
            <td><a href="#advisory_pydantic_v2" class="ref-link">Advisory_Pydantic_V2</a></td>
        </tr>
    </tbody>
</table>



### apollo.db.AdvisoryAffectedProduct.leaf

<table>
    <thead>
        <tr>
            <th>Name</th>
            <th>Type</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><code>arch</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>id</code></td>
            <td><span class="integer-type">integer</span></td>
        </tr>
        <tr>
            <td><code>major_version</code></td>
            <td><span class="integer-type">integer</span></td>
        </tr>
        <tr>
            <td><code>minor_version</code></td>
            <td><span class="integer-type">integer</span>&#124; <span class="null-type">null</span></td>
        </tr>
        <tr>
            <td><code>name</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>variant</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
    </tbody>
</table>



### apollo.db.AdvisoryCVE.leaf

<table>
    <thead>
        <tr>
            <th>Name</th>
            <th>Type</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><code>cve</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>cvss3_base_score</code></td>
            <td><span class="string-type">string</span>&#124; <span class="null-type">null</span></td>
        </tr>
        <tr>
            <td><code>cvss3_scoring_vector</code></td>
            <td><span class="string-type">string</span>&#124; <span class="null-type">null</span></td>
        </tr>
        <tr>
            <td><code>cwe</code></td>
            <td><span class="string-type">string</span>&#124; <span class="null-type">null</span></td>
        </tr>
        <tr>
            <td><code>id</code></td>
            <td><span class="integer-type">integer</span></td>
        </tr>
    </tbody>
</table>



### apollo.db.AdvisoryFix.leaf

<table>
    <thead>
        <tr>
            <th>Name</th>
            <th>Type</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><code>description</code></td>
            <td><span class="string-type">string</span>&#124; <span class="null-type">null</span></td>
        </tr>
        <tr>
            <td><code>id</code></td>
            <td><span class="integer-type">integer</span></td>
        </tr>
        <tr>
            <td><code>source</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>ticket_id</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
    </tbody>
</table>



### apollo.db.AdvisoryPackage.leaf

<table>
    <thead>
        <tr>
            <th>Name</th>
            <th>Type</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><code>checksum</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>checksum_type</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>id</code></td>
            <td><span class="integer-type">integer</span></td>
        </tr>
        <tr>
            <td><code>module_context</code></td>
            <td><span class="string-type">string</span>&#124; <span class="null-type">null</span></td>
        </tr>
        <tr>
            <td><code>module_name</code></td>
            <td><span class="string-type">string</span>&#124; <span class="null-type">null</span></td>
        </tr>
        <tr>
            <td><code>module_stream</code></td>
            <td><span class="string-type">string</span>&#124; <span class="null-type">null</span></td>
        </tr>
        <tr>
            <td><code>module_version</code></td>
            <td><span class="string-type">string</span>&#124; <span class="null-type">null</span></td>
        </tr>
        <tr>
            <td><code>nevra</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>package_name</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>product_name</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>repo_name</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
    </tbody>
</table>



### apollo.db.RedHatAdvisoryAffectedProduct.leaf

<table>
    <thead>
        <tr>
            <th>Name</th>
            <th>Type</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><code>arch</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>id</code></td>
            <td><span class="integer-type">integer</span></td>
        </tr>
        <tr>
            <td><code>major_version</code></td>
            <td><span class="integer-type">integer</span></td>
        </tr>
        <tr>
            <td><code>minor_version</code></td>
            <td><span class="integer-type">integer</span>&#124; <span class="null-type">null</span></td>
        </tr>
        <tr>
            <td><code>name</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>variant</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
    </tbody>
</table>



### apollo.db.RedHatAdvisoryBugzillaBug.leaf

<table>
    <thead>
        <tr>
            <th>Name</th>
            <th>Type</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><code>bugzilla_bug_id</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>description</code></td>
            <td><span class="string-type">string</span>&#124; <span class="null-type">null</span></td>
        </tr>
        <tr>
            <td><code>id</code></td>
            <td><span class="integer-type">integer</span></td>
        </tr>
    </tbody>
</table>



### apollo.db.RedHatAdvisoryCVE.leaf

<table>
    <thead>
        <tr>
            <th>Name</th>
            <th>Type</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><code>cve</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>cvss3_base_score</code></td>
            <td><span class="string-type">string</span>&#124; <span class="null-type">null</span></td>
        </tr>
        <tr>
            <td><code>cvss3_scoring_vector</code></td>
            <td><span class="string-type">string</span>&#124; <span class="null-type">null</span></td>
        </tr>
        <tr>
            <td><code>cwe</code></td>
            <td><span class="string-type">string</span>&#124; <span class="null-type">null</span></td>
        </tr>
        <tr>
            <td><code>id</code></td>
            <td><span class="integer-type">integer</span></td>
        </tr>
    </tbody>
</table>



### apollo.db.RedHatAdvisoryPackage.leaf

<table>
    <thead>
        <tr>
            <th>Name</th>
            <th>Type</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><code>id</code></td>
            <td><span class="integer-type">integer</span></td>
        </tr>
        <tr>
            <td><code>nevra</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
    </tbody>
</table>



### Body_do_login_login__post

<table>
    <thead>
        <tr>
            <th>Name</th>
            <th>Type</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><code>email</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>password</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
    </tbody>
</table>



### Body_execute_red_hat_advisory_action_red_hat_advisories__advisory_name__post

<table>
    <thead>
        <tr>
            <th>Name</th>
            <th>Type</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><code>action</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>data</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
    </tbody>
</table>



### Body_setup_page_login_setup_post

<table>
    <thead>
        <tr>
            <th>Name</th>
            <th>Type</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><code>confirm_password</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>email</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>name</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>password</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
    </tbody>
</table>



### HTTPValidationError

<table>
    <thead>
        <tr>
            <th>Name</th>
            <th>Type</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><code>detail</code></td>
            <td>Array&lt;<a href="#validationerror" class="ref-link">ValidationError</a>&gt;</td>
        </tr>
    </tbody>
</table>



### Links

<table>
    <thead>
        <tr>
            <th>Name</th>
            <th>Type</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><code>first</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>last</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>next</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>prev</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>self</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
    </tbody>
</table>



### OSVAdvisory

<table>
    <thead>
        <tr>
            <th>Name</th>
            <th>Type</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><code>affected</code></td>
            <td>Array&lt;<a href="#osvaffected" class="ref-link">OSVAffected</a>&gt;</td>
        </tr>
        <tr>
            <td><code>aliases</code></td>
            <td>Array&lt;<span class="string-type">string</span>&gt;</td>
        </tr>
        <tr>
            <td><code>credits</code></td>
            <td>Array&lt;<a href="#osvcredit" class="ref-link">OSVCredit</a>&gt;</td>
        </tr>
        <tr>
            <td><code>database_specific</code></td>
            <td><a href="#osvdatabasespecific" class="ref-link">OSVDatabaseSpecific</a></td>
        </tr>
        <tr>
            <td><code>details</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>id</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>modified</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>published</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>references</code></td>
            <td>Array&lt;<a href="#osvreference" class="ref-link">OSVReference</a>&gt;</td>
        </tr>
        <tr>
            <td><code>related</code></td>
            <td>Array&lt;<span class="string-type">string</span>&gt;</td>
        </tr>
        <tr>
            <td><code>schema_version</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>severity</code></td>
            <td>Array&lt;<a href="#osvseverity" class="ref-link">OSVSeverity</a>&gt;</td>
        </tr>
        <tr>
            <td><code>summary</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>withdrawn</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
    </tbody>
</table>



### OSVAffected

<table>
    <thead>
        <tr>
            <th>Name</th>
            <th>Type</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><code>database_specific</code></td>
            <td><a href="#osvaffecteddatabasespecific" class="ref-link">OSVAffectedDatabaseSpecific</a></td>
        </tr>
        <tr>
            <td><code>ecosystem_specific</code></td>
            <td><a href="#osvecosystemspecific" class="ref-link">OSVEcosystemSpecific</a></td>
        </tr>
        <tr>
            <td><code>package</code></td>
            <td><a href="#osvpackage" class="ref-link">OSVPackage</a></td>
        </tr>
        <tr>
            <td><code>ranges</code></td>
            <td>Array&lt;<a href="#osvrange" class="ref-link">OSVRange</a>&gt;</td>
        </tr>
        <tr>
            <td><code>versions</code></td>
            <td>Array&lt;<span class="string-type">string</span>&gt;</td>
        </tr>
    </tbody>
</table>



### OSVAffectedDatabaseSpecific




### OSVCredit

<table>
    <thead>
        <tr>
            <th>Name</th>
            <th>Type</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><code>contact</code></td>
            <td>Array&lt;<span class="string-type">string</span>&gt;</td>
        </tr>
        <tr>
            <td><code>name</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
    </tbody>
</table>



### OSVDatabaseSpecific




### OSVEcosystemSpecific




### OSVEvent

<table>
    <thead>
        <tr>
            <th>Name</th>
            <th>Type</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><code>fixed</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>introduced</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>last_affected</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>limit</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
    </tbody>
</table>



### OSVPackage

<table>
    <thead>
        <tr>
            <th>Name</th>
            <th>Type</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><code>ecosystem</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>name</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>purl</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
    </tbody>
</table>



### OSVRange

<table>
    <thead>
        <tr>
            <th>Name</th>
            <th>Type</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><code>database_specific</code></td>
            <td><a href="#osvrangedatabasespecific" class="ref-link">OSVRangeDatabaseSpecific</a></td>
        </tr>
        <tr>
            <td><code>events</code></td>
            <td>Array&lt;<a href="#osvevent" class="ref-link">OSVEvent</a>&gt;</td>
        </tr>
        <tr>
            <td><code>repo</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>type</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
    </tbody>
</table>



### OSVRangeDatabaseSpecific




### OSVReference

<table>
    <thead>
        <tr>
            <th>Name</th>
            <th>Type</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><code>type</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>url</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
    </tbody>
</table>



### OSVSeverity

<table>
    <thead>
        <tr>
            <th>Name</th>
            <th>Type</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><code>score</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>type</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
    </tbody>
</table>



### Pagination_Advisory_

<table>
    <thead>
        <tr>
            <th>Name</th>
            <th>Type</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><code>advisories</code></td>
            <td>Array&lt;<a href="#advisory" class="ref-link">Advisory</a>&gt;</td>
        </tr>
        <tr>
            <td><code>links</code></td>
            <td><a href="#links" class="ref-link">Links</a></td>
        </tr>
        <tr>
            <td><code>page</code></td>
            <td><span class="integer-type">integer</span></td>
        </tr>
        <tr>
            <td><code>size</code></td>
            <td><span class="integer-type">integer</span></td>
        </tr>
        <tr>
            <td><code>total</code></td>
            <td><span class="integer-type">integer</span></td>
        </tr>
    </tbody>
</table>



### Pagination_Advisory_Pydantic_V2_

<table>
    <thead>
        <tr>
            <th>Name</th>
            <th>Type</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><code>advisories</code></td>
            <td>Array&lt;<a href="#advisory_pydantic_v2" class="ref-link">Advisory_Pydantic_V2</a>&gt;</td>
        </tr>
        <tr>
            <td><code>lastUpdated</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>page</code></td>
            <td><span class="integer-type">integer</span></td>
        </tr>
        <tr>
            <td><code>size</code></td>
            <td><span class="integer-type">integer</span></td>
        </tr>
        <tr>
            <td><code>total</code></td>
            <td><span class="integer-type">integer</span></td>
        </tr>
    </tbody>
</table>



### Pagination_OSVAdvisory_

<table>
    <thead>
        <tr>
            <th>Name</th>
            <th>Type</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><code>advisories</code></td>
            <td>Array&lt;<a href="#osvadvisory" class="ref-link">OSVAdvisory</a>&gt;</td>
        </tr>
        <tr>
            <td><code>links</code></td>
            <td><a href="#links" class="ref-link">Links</a></td>
        </tr>
        <tr>
            <td><code>page</code></td>
            <td><span class="integer-type">integer</span></td>
        </tr>
        <tr>
            <td><code>size</code></td>
            <td><span class="integer-type">integer</span></td>
        </tr>
        <tr>
            <td><code>total</code></td>
            <td><span class="integer-type">integer</span></td>
        </tr>
    </tbody>
</table>



### Pagination_RedHatAdvisory_

<table>
    <thead>
        <tr>
            <th>Name</th>
            <th>Type</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><code>advisories</code></td>
            <td>Array&lt;<a href="#redhatadvisory" class="ref-link">RedHatAdvisory</a>&gt;</td>
        </tr>
        <tr>
            <td><code>links</code></td>
            <td><a href="#links" class="ref-link">Links</a></td>
        </tr>
        <tr>
            <td><code>page</code></td>
            <td><span class="integer-type">integer</span></td>
        </tr>
        <tr>
            <td><code>size</code></td>
            <td><span class="integer-type">integer</span></td>
        </tr>
        <tr>
            <td><code>total</code></td>
            <td><span class="integer-type">integer</span></td>
        </tr>
    </tbody>
</table>



### RedHatAdvisory

<table>
    <thead>
        <tr>
            <th>Name</th>
            <th>Type</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><code>affected_products</code></td>
            <td>Array&lt;<a href="#apollodbredhatadvisoryaffectedproductleaf" class="ref-link">apollo.db.RedHatAdvisoryAffectedProduct.leaf</a>&gt;</td>
        </tr>
        <tr>
            <td><code>bugzilla_tickets</code></td>
            <td>Array&lt;<a href="#apollodbredhatadvisorybugzillabugleaf" class="ref-link">apollo.db.RedHatAdvisoryBugzillaBug.leaf</a>&gt;</td>
        </tr>
        <tr>
            <td><code>created_at</code></td>
            <td><span class="string-type">string</span>(<span class="date-time-format format">date-time</span>)</td>
        </tr>
        <tr>
            <td><code>cves</code></td>
            <td>Array&lt;<a href="#apollodbredhatadvisorycveleaf" class="ref-link">apollo.db.RedHatAdvisoryCVE.leaf</a>&gt;</td>
        </tr>
        <tr>
            <td><code>description</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>id</code></td>
            <td><span class="integer-type">integer</span></td>
        </tr>
        <tr>
            <td><code>kind</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>name</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>packages</code></td>
            <td>Array&lt;<a href="#apollodbredhatadvisorypackageleaf" class="ref-link">apollo.db.RedHatAdvisoryPackage.leaf</a>&gt;</td>
        </tr>
        <tr>
            <td><code>red_hat_issued_at</code></td>
            <td><span class="string-type">string</span>(<span class="date-time-format format">date-time</span>)</td>
        </tr>
        <tr>
            <td><code>severity</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>synopsis</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>topic</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>updated_at</code></td>
            <td><span class="string-type">string</span>(<span class="date-time-format format">date-time</span>)&#124; <span class="null-type">null</span></td>
        </tr>
    </tbody>
</table>



### ValidationError

<table>
    <thead>
        <tr>
            <th>Name</th>
            <th>Type</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><code>loc</code></td>
            <td>Array&lt;&gt;</td>
        </tr>
        <tr>
            <td><code>msg</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
        <tr>
            <td><code>type</code></td>
            <td><span class="string-type">string</span></td>
        </tr>
    </tbody>
</table>


